| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libdar::database_restore_options Class Reference

options for restoration from database More...

`#include <database_options.hpp>`

## Public Member Functions
void | clear ()
void | set_early_release (bool value)
| early_release option More...
void | set_info_details (bool value)
| info_details option More...
void | set_extra_options_for_dar (const std::vector< std::string > &value)
| extra options to dar More...
void | set_ignore_dar_options_in_database (bool mode)
| ignore options to dar embedded in the database
void | set_date (const infinint &value)
| date option More...
void | set_even_when_removed (bool value)
| find data or EA if they have been removed at the requested data More...
bool | get_early_release () const
bool | get_info_details () const
const std::vector< std::string > & | get_extra_options_for_dar () const
const infinint & | get_date () const
bool | get_ignore_dar_options_in_database () const
bool | get_even_when_removed () const

## Detailed Description

options for restoration from database

Definition at line 178 of file database_options.hpp.

## Member Function Documentation

void libdar::database_restore_options::set_date | ( | const infinint & | value | ) |
| inline

date option

informations about files more recent than the given date are ignored. So you can restore file in the most recent state before a certain "date".

Note
  if set to zero, the most recent state available is looked for (this is the default value).

Definition at line 214 of file database_options.hpp.

void libdar::database_restore_options::set_early_release | ( | bool | value | ) |
| inline

early_release option

if early_release is set to true, some memory is released before calling dar

Note
  if early_release is true, this will free almost all memory allocated by the database before calling dar. drawback is that no more action is possible after this call (except destruction)

Definition at line 194 of file database_options.hpp.

void libdar::database_restore_options::set_even_when_removed | ( | bool | value | ) |
| inline

find data or EA if they have been removed at the requested data

in the case a file has was removed at the request date, the data or EA that will be restored will be the one of it had just before being removed

Definition at line 220 of file database_options.hpp.

void libdar::database_restore_options::set_extra_options_for_dar | ( | const std::vector< std::string > & | value | ) |
| inline

extra options to dar

this option is a mean to provide some extra options to dar from dar_manager

Definition at line 204 of file database_options.hpp.

void libdar::database_restore_options::set_info_details | ( | bool | value | ) |
| inline

info_details option

if set to true, more detailed informations is displayed

Definition at line 199 of file database_options.hpp.

The documentation for this class was generated from the following file:

- database_options.hpp